## demo.webcab.chat.gui
Class WebFile

    java.lang.Object
      |
      +--demo.webcab.chat.gui.WebFile

public class WebFile
extends java.lang.Object

This class encapsulates a URL text file reader. It takes the file name at construction and reads line by line from the stream with `readLine`.

Author:
  WebCab Components

Constructor Summary
`WebFile(java.lang.String fileName)` Creates a new text file which reads its data from the given URL.

Method Summary
`void` `close()` Closes the stream.
`java.lang.String` `readLine()` Gets the next line from the text stream or a null pointer in case of an error or when the EOF has been reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebFile

    public WebFile(java.lang.String fileName)
            throws java.net.MalformedURLException,
                   java.io.IOException

  Creates a new text file which reads its data from the given URL. The URL is read as a `String`.
  Parameters:
    `fileName` - the string representing the URL.
  See Also:
    `readLine()`

Method Detail

### readLine

    public java.lang.String readLine()

  Gets the next line from the text stream or a null pointer in case of an error or when the EOF has been reached. This method catches all `IOExceptions` internally.
  Returns:
    The next line from the stream.
  See Also:
    `close()`

### close

    public void close()

  Closes the stream. Any new calls to the `readLine` method will return null.